### Enumeration

# GWeather Provider

since: 4.0

#### Declaration

    flags GWeather.Provider

#### Description

No description available.

Available since: 4.0

#### Members

`GWEATHER_PROVIDER_NONE`

  No provider, no weather information available.

  - Value: `0`
  - Nickname: `none`
  - Available since: 4.0
`GWEATHER_PROVIDER_METAR`

  METAR office, providing current conditions worldwide.

  - Value: `1`
  - Nickname: `metar`
  - Available since: 4.0
`GWEATHER_PROVIDER_IWIN`

  US weather office (old API), providing 7 days of forecast.

  - Value: `4`
  - Nickname: `iwin`
  - Available since: 4.0
`GWEATHER_PROVIDER_MET_NO`

  MET.no service, worldwide but requires attribution and a subscription to the API users mailing-list.

  - Value: `8`
  - Nickname: `met-no`
  - Available since: 4.0
`GWEATHER_PROVIDER_OWM`

  OpenWeatherMap, worldwide and possibly more reliable, but requires attribution and is limited in the number of queries.

  - Value: `16`
  - Nickname: `owm`
  - Available since: 4.0
`GWEATHER_PROVIDER_NWS`

  US weather office (new API), providing 7 days of hourly forecast (available since 4.2)

  - Value: `32`
  - Nickname: `nws`
  - Available since: 4.0
`GWEATHER_PROVIDER_ALL`

  Enable all available providers.

  - Value: `61`
  - Nickname: `all`
  - Available since: 4.0